From e6e9895e03860e4b55d8c530fe8ed4598df314ed Mon Sep 17 00:00:00 2001
From: Ivan Semkin <ivan@semkin.ru>
Date: Tue, 12 Jun 2018 04:56:45 +0300
Subject: [PATCH] Update the config for LXC 2.1

https://discuss.linuxcontainers.org/t/lxc-2-1-has-been-released/487
---
 var/lib/lxc/android/config | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

diff --git a/var/lib/lxc/android/config b/var/lib/lxc/android/config
index 912b72c..af33a23 100644
--- a/var/lib/lxc/android/config
+++ b/var/lib/lxc/android/config
@@ -1,18 +1,17 @@
-lxc.rootfs = /var/lib/lxc/android/rootfs
-lxc.utsname = armhf
+lxc.rootfs.path = /var/lib/lxc/android/rootfs
+lxc.uts.name = armhf
 
-lxc.network.type = none
+lxc.net.0.type = none
 
-lxc.devttydir = lxc
-lxc.tty = 4
-lxc.pts = 1024
+lxc.tty.dir = lxc
+lxc.tty.max  = 4
+lxc.pty.max = 1024
 lxc.arch = armhf
 lxc.cap.drop = mac_admin mac_override
-lxc.pivotdir = lxc_putold
 
 lxc.hook.pre-start = /var/lib/lxc/android/pre-start.sh
 
-lxc.init_cmd = /init
+lxc.init.cmd = /init
 
-lxc.aa_profile = unconfined
+lxc.apparmor.profile = unconfined
 lxc.autodev = 0
